diff --git a/src/test/perl/PostgresNode.pm b/src/test/perl/PostgresNode.pm
index 3b06e78..44822e2 100644
--- a/src/test/perl/PostgresNode.pm
+++ b/src/test/perl/PostgresNode.pm
@@ -155,7 +155,8 @@ sub new
 		_host    => $pghost,
 		_basedir => "$TestLib::tmp_check/t_${testname}_${name}_data",
 		_name    => $name,
-		_logfile => "$TestLib::log_path/${testname}_${name}.log" };
+		_logfile => "$TestLib::log_path/${testname}_${name}.log"
+	};
 
 	bless $self, $class;
 	mkdir $self->{_basedir}
@@ -598,7 +599,8 @@ sub _backup_fs
 		filterfn => sub {
 			my $src = shift;
 			return ($src ne 'log' and $src ne 'postmaster.pid');
-		});
+		}
+	);
 
 	if ($hot)
 	{
@@ -669,7 +671,8 @@ sub init_from_backup
 		'postgresql.conf',
 		qq(
 port = $port
-));
+)
+	);
 	$self->enable_streaming($root_node) if $params{has_streaming};
 	$self->enable_restoring($root_node) if $params{has_restoring};
 }
@@ -801,7 +804,8 @@ sub enable_streaming
 		'recovery.conf', qq(
 primary_conninfo='$root_connstr application_name=$name'
 standby_mode=on
-));
+)
+	);
 }
 
 # Internal routine to enable archive recovery command on a standby node
@@ -829,7 +833,8 @@ sub enable_restoring
 		'recovery.conf', qq(
 restore_command = '$copy_command'
 standby_mode = on
-));
+)
+	);
 }
 
 # Internal routine to enable archiving
@@ -858,7 +863,8 @@ sub enable_archiving
 		'postgresql.conf', qq(
 archive_mode = on
 archive_command = '$copy_command'
-));
+)
+	);
 }
 
 # Internal method
@@ -1056,7 +1062,8 @@ sub safe_psql
 		stdout        => \$stdout,
 		stderr        => \$stderr,
 		on_error_die  => 1,
-		on_error_stop => 1);
+		on_error_stop => 1
+	);
 
 	# psql can emit stderr from NOTICEs etc
 	if ($stderr ne "")
@@ -1471,7 +1478,8 @@ sub lsn
 		'flush'   => 'pg_current_wal_flush_lsn()',
 		'write'   => 'pg_current_wal_lsn()',
 		'receive' => 'pg_last_wal_receive_lsn()',
-		'replay'  => 'pg_last_wal_replay_lsn()');
+		'replay'  => 'pg_last_wal_replay_lsn()'
+	);
 
 	$mode = '<undef>' if !defined($mode);
 	croak "unknown mode for 'lsn': '$mode', valid modes are "
@@ -1658,11 +1666,13 @@ sub slot
 	my @columns = (
 		'plugin', 'slot_type',  'datoid', 'database',
 		'active', 'active_pid', 'xmin',   'catalog_xmin',
-		'restart_lsn');
+		'restart_lsn'
+	);
 	return $self->query_hash(
 		'postgres',
 		"SELECT __COLUMNS__ FROM pg_catalog.pg_replication_slots WHERE slot_name = '$slot_name'",
-		@columns);
+		@columns
+	);
 }
 
 =pod
@@ -1697,7 +1707,8 @@ sub pg_recvlogical_upto
 
 	my @cmd = (
 		'pg_recvlogical', '-S', $slot_name, '--dbname',
-		$self->connstr($dbname));
+		$self->connstr($dbname)
+	);
 	push @cmd, '--endpos', $endpos;
 	push @cmd, '-f', '-', '--no-loop', '--start';
 
diff --git a/src/test/perl/TestLib.pm b/src/test/perl/TestLib.pm
index 355ef5f..3410fea 100644
--- a/src/test/perl/TestLib.pm
+++ b/src/test/perl/TestLib.pm
@@ -153,7 +153,8 @@ sub tempdir
 	return File::Temp::tempdir(
 		$prefix . '_XXXX',
 		DIR     => $tmp_check,
-		CLEANUP => 1);
+		CLEANUP => 1
+	);
 }
 
 sub tempdir_short
@@ -256,7 +257,8 @@ sub check_mode_recursive
 	my $result = 1;
 
 	find(
-		{   follow_fast => 1,
+		{
+			follow_fast => 1,
 			wanted      => sub {
 				my $file_stat = stat($File::Find::name);
 
@@ -282,7 +284,8 @@ sub check_mode_recursive
 						print(
 							*STDERR,
 							sprintf("$File::Find::name mode must be %04o\n",
-								$expected_file_mode));
+								$expected_file_mode)
+						);
 
 						$result = 0;
 						return;
@@ -297,7 +300,8 @@ sub check_mode_recursive
 						print(
 							*STDERR,
 							sprintf("$File::Find::name mode must be %04o\n",
-								$expected_dir_mode));
+								$expected_dir_mode)
+						);
 
 						$result = 0;
 						return;
@@ -311,7 +315,8 @@ sub check_mode_recursive
 				}
 			}
 		},
-		$dir);
+		$dir
+	);
 
 	return $result;
 }
@@ -322,7 +327,8 @@ sub chmod_recursive
 	my ($dir, $dir_mode, $file_mode) = @_;
 
 	find(
-		{   follow_fast => 1,
+		{
+			follow_fast => 1,
 			wanted      => sub {
 				my $file_stat = stat($File::Find::name);
 
@@ -335,7 +341,8 @@ sub chmod_recursive
 				}
 			}
 		},
-		$dir);
+		$dir
+	);
 }
 
 # Check presence of a given regexp within pg_config.h for the installation
diff --git a/src/test/recovery/t/001_stream_rep.pl b/src/test/recovery/t/001_stream_rep.pl
index a29a6c7..e3a96da 100644
--- a/src/test/recovery/t/001_stream_rep.pl
+++ b/src/test/recovery/t/001_stream_rep.pl
@@ -93,7 +93,8 @@ sub test_target_session_attrs
 	my ($ret, $stdout, $stderr) =
 	  $node1->psql('postgres', 'SHOW port;',
 		extra_params => [ '-d', $connstr ]);
-	is( $status == $ret && $stdout eq $target_node->port,
+	is(
+		$status == $ret && $stdout eq $target_node->port,
 		1,
 		"connect to node $target_name if mode \"$mode\" and $node1_name,$node2_name listed"
 	);
@@ -124,22 +125,28 @@ note "switching to physical replication slot";
 my ($slotname_1, $slotname_2) = ('standby_1', 'standby_2');
 $node_master->append_conf('postgresql.conf', "max_replication_slots = 4");
 $node_master->restart;
-is( $node_master->psql(
+is(
+	$node_master->psql(
 		'postgres',
-		qq[SELECT pg_create_physical_replication_slot('$slotname_1');]),
+		qq[SELECT pg_create_physical_replication_slot('$slotname_1');]
+	),
 	0,
-	'physical slot created on master');
+	'physical slot created on master'
+);
 $node_standby_1->append_conf('recovery.conf',
 	"primary_slot_name = $slotname_1");
 $node_standby_1->append_conf('postgresql.conf',
 	"wal_receiver_status_interval = 1");
 $node_standby_1->append_conf('postgresql.conf', "max_replication_slots = 4");
 $node_standby_1->restart;
-is( $node_standby_1->psql(
+is(
+	$node_standby_1->psql(
 		'postgres',
-		qq[SELECT pg_create_physical_replication_slot('$slotname_2');]),
+		qq[SELECT pg_create_physical_replication_slot('$slotname_2');]
+	),
 	0,
-	'physical slot created on intermediate replica');
+	'physical slot created on intermediate replica'
+);
 $node_standby_2->append_conf('recovery.conf',
 	"primary_slot_name = $slotname_2");
 $node_standby_2->append_conf('postgresql.conf',
@@ -157,7 +164,8 @@ sub get_slot_xmins
 		SELECT $check_expr
 		FROM pg_catalog.pg_replication_slots
 		WHERE slot_name = '$slotname';
-	]) or die "Timed out waiting for slot xmins to advance";
+	]
+	) or die "Timed out waiting for slot xmins to advance";
 
 	my $slotinfo = $node->slot($slotname);
 	return ($slotinfo->{'xmin'}, $slotinfo->{'catalog_xmin'});
@@ -237,7 +245,8 @@ begin
     end;
   end loop;
 end$$;
-});
+}
+);
 
 $node_master->safe_psql('postgres', 'VACUUM;');
 $node_master->safe_psql('postgres', 'CHECKPOINT;');
diff --git a/src/test/recovery/t/002_archiving.pl b/src/test/recovery/t/002_archiving.pl
index e1bd3c9..02527a5 100644
--- a/src/test/recovery/t/002_archiving.pl
+++ b/src/test/recovery/t/002_archiving.pl
@@ -10,7 +10,8 @@ use File::Copy;
 my $node_master = get_new_node('master');
 $node_master->init(
 	has_archiving    => 1,
-	allows_streaming => 1);
+	allows_streaming => 1
+);
 my $backup_name = 'my_backup';
 
 # Start it
diff --git a/src/test/recovery/t/003_recovery_targets.pl b/src/test/recovery/t/003_recovery_targets.pl
index 824fa4d..35bcae6 100644
--- a/src/test/recovery/t/003_recovery_targets.pl
+++ b/src/test/recovery/t/003_recovery_targets.pl
@@ -119,25 +119,29 @@ test_recovery_standby('LSN', 'standby_5', $node_master, \@recovery_params,
 @recovery_params = (
 	"recovery_target_name = '$recovery_name'",
 	"recovery_target_xid  = '$recovery_txid'",
-	"recovery_target_time = '$recovery_time'");
+	"recovery_target_time = '$recovery_time'"
+);
 test_recovery_standby('name + XID + time',
 	'standby_6', $node_master, \@recovery_params, "3000", $lsn3);
 @recovery_params = (
 	"recovery_target_time = '$recovery_time'",
 	"recovery_target_name = '$recovery_name'",
-	"recovery_target_xid  = '$recovery_txid'");
+	"recovery_target_xid  = '$recovery_txid'"
+);
 test_recovery_standby('time + name + XID',
 	'standby_7', $node_master, \@recovery_params, "2000", $lsn2);
 @recovery_params = (
 	"recovery_target_xid  = '$recovery_txid'",
 	"recovery_target_time = '$recovery_time'",
-	"recovery_target_name = '$recovery_name'");
+	"recovery_target_name = '$recovery_name'"
+);
 test_recovery_standby('XID + time + name',
 	'standby_8', $node_master, \@recovery_params, "4000", $lsn4);
 @recovery_params = (
 	"recovery_target_xid  = '$recovery_txid'",
 	"recovery_target_time = '$recovery_time'",
 	"recovery_target_name = '$recovery_name'",
-	"recovery_target_lsn = '$recovery_lsn'",);
+	"recovery_target_lsn = '$recovery_lsn'",
+);
 test_recovery_standby('XID + time + name + LSN',
 	'standby_9', $node_master, \@recovery_params, "5000", $lsn5);
diff --git a/src/test/recovery/t/004_timeline_switch.pl b/src/test/recovery/t/004_timeline_switch.pl
index 34ee335..a7848b4 100644
--- a/src/test/recovery/t/004_timeline_switch.pl
+++ b/src/test/recovery/t/004_timeline_switch.pl
@@ -49,7 +49,8 @@ $node_standby_2->append_conf(
 primary_conninfo='$connstr_1 application_name=@{[$node_standby_2->name]}'
 standby_mode=on
 recovery_target_timeline='latest'
-));
+)
+);
 $node_standby_2->restart;
 
 # Insert some data in standby 1 and check its presence in standby 2
diff --git a/src/test/recovery/t/005_replay_delay.pl b/src/test/recovery/t/005_replay_delay.pl
index 8909c45..443cc3c 100644
--- a/src/test/recovery/t/005_replay_delay.pl
+++ b/src/test/recovery/t/005_replay_delay.pl
@@ -27,7 +27,8 @@ $node_standby->init_from_backup($node_master, $backup_name,
 $node_standby->append_conf(
 	'recovery.conf', qq(
 recovery_min_apply_delay = '${delay}s'
-));
+)
+);
 $node_standby->start;
 
 # Make new content on master and check its presence in standby depending
diff --git a/src/test/recovery/t/006_logical_decoding.pl b/src/test/recovery/t/006_logical_decoding.pl
index ff1ea0e..cd4fafa 100644
--- a/src/test/recovery/t/006_logical_decoding.pl
+++ b/src/test/recovery/t/006_logical_decoding.pl
@@ -16,7 +16,8 @@ $node_master->init(allows_streaming => 1);
 $node_master->append_conf(
 	'postgresql.conf', qq(
 wal_level = logical
-));
+)
+);
 $node_master->start;
 my $backup_name = 'master_backup';
 
@@ -74,7 +75,8 @@ print "waiting to replay $endpos\n";
 my $stdout_recv = $node_master->pg_recvlogical_upto(
 	'postgres', 'test_slot', $endpos, 10,
 	'include-xids'     => '0',
-	'skip-empty-xacts' => '1');
+	'skip-empty-xacts' => '1'
+);
 chomp($stdout_recv);
 is($stdout_recv, $expected,
 	'got same expected output from pg_recvlogical decoding session');
@@ -86,19 +88,22 @@ $node_master->poll_query_until('postgres',
 $stdout_recv = $node_master->pg_recvlogical_upto(
 	'postgres', 'test_slot', $endpos, 10,
 	'include-xids'     => '0',
-	'skip-empty-xacts' => '1');
+	'skip-empty-xacts' => '1'
+);
 chomp($stdout_recv);
 is($stdout_recv, '',
 	'pg_recvlogical acknowledged changes, nothing pending on slot');
 
 $node_master->safe_psql('postgres', 'CREATE DATABASE otherdb');
 
-is( $node_master->psql(
+is(
+	$node_master->psql(
 		'otherdb',
 		"SELECT lsn FROM pg_logical_slot_peek_changes('test_slot', NULL, NULL) ORDER BY lsn DESC LIMIT 1;"
 	),
 	3,
-	'replaying logical slot from another database fails');
+	'replaying logical slot from another database fails'
+);
 
 $node_master->safe_psql('otherdb',
 	qq[SELECT pg_create_logical_replication_slot('otherdb_slot', 'test_decoding');]
@@ -112,8 +117,11 @@ SKIP:
 	skip "Test fails on Windows perl", 2 if $Config{osname} eq 'MSWin32';
 
 	my $pg_recvlogical = IPC::Run::start(
-		[   'pg_recvlogical', '-d', $node_master->connstr('otherdb'),
-			'-S', 'otherdb_slot', '-f', '-', '--start' ]);
+		[
+			'pg_recvlogical', '-d', $node_master->connstr('otherdb'),
+			'-S', 'otherdb_slot', '-f', '-', '--start'
+		]
+	);
 	$node_master->poll_query_until('otherdb',
 		"SELECT EXISTS (SELECT 1 FROM pg_replication_slots WHERE slot_name = 'otherdb_slot' AND active_pid IS NOT NULL)"
 	) or die "slot never became active";
@@ -143,15 +151,21 @@ is($node_master->safe_psql('postgres', 'SHOW wal_level'),
 	'replica', 'wal_level is replica');
 isnt($node_master->slot('test_slot')->{'catalog_xmin'},
 	'0', 'restored slot catalog_xmin is nonzero');
-is( $node_master->psql(
+is(
+	$node_master->psql(
 		'postgres',
-		qq[SELECT pg_logical_slot_get_changes('test_slot', NULL, NULL);]),
+		qq[SELECT pg_logical_slot_get_changes('test_slot', NULL, NULL);]
+	),
 	3,
-	'reading from slot with wal_level < logical fails');
-is( $node_master->psql(
-		'postgres', q[SELECT pg_drop_replication_slot('test_slot')]),
+	'reading from slot with wal_level < logical fails'
+);
+is(
+	$node_master->psql(
+		'postgres', q[SELECT pg_drop_replication_slot('test_slot')]
+	),
 	0,
-	'can drop logical slot while wal_level = replica');
+	'can drop logical slot while wal_level = replica'
+);
 is($node_master->slot('test_slot')->{'catalog_xmin'}, '', 'slot was dropped');
 
 # done with the node
diff --git a/src/test/recovery/t/007_sync_rep.pl b/src/test/recovery/t/007_sync_rep.pl
index 0ddf70b..bdf46ac 100644
--- a/src/test/recovery/t/007_sync_rep.pl
+++ b/src/test/recovery/t/007_sync_rep.pl
@@ -60,7 +60,8 @@ test_sync_state(
 standby2|2|potential
 standby3|0|async),
 	'old syntax of synchronous_standby_names',
-	'standby1,standby2');
+	'standby1,standby2'
+);
 
 # Check that all the standbys are considered as either sync or
 # potential when * is specified in synchronous_standby_names.
@@ -72,7 +73,8 @@ test_sync_state(
 standby2|1|potential
 standby3|1|potential),
 	'asterisk in synchronous_standby_names',
-	'*');
+	'*'
+);
 
 # Stop and start standbys to rearrange the order of standbys
 # in WalSnd array. Now, if standbys have the same priority,
@@ -90,7 +92,8 @@ test_sync_state(
 	$node_master, qq(standby2|2|sync
 standby3|3|sync),
 	'2 synchronous standbys',
-	'2(standby1,standby2,standby3)');
+	'2(standby1,standby2,standby3)'
+);
 
 # Start standby1
 $node_standby_1->start;
@@ -110,7 +113,8 @@ test_sync_state(
 standby2|2|sync
 standby3|3|potential
 standby4|0|async),
-	'2 sync, 1 potential, and 1 async');
+	'2 sync, 1 potential, and 1 async'
+);
 
 # Check that sync_state of each standby is determined correctly
 # when num_sync exceeds the number of names of potential sync standbys
@@ -121,7 +125,8 @@ standby2|4|sync
 standby3|3|sync
 standby4|1|sync),
 	'num_sync exceeds the num of potential sync standbys',
-	'6(standby4,standby0,standby3,standby2)');
+	'6(standby4,standby0,standby3,standby2)'
+);
 
 # The setting that * comes before another standby name is acceptable
 # but does not make sense in most cases. Check that sync_state is
@@ -133,7 +138,8 @@ standby2|2|sync
 standby3|2|potential
 standby4|2|potential),
 	'asterisk comes before another standby name',
-	'2(standby1,*,standby2)');
+	'2(standby1,*,standby2)'
+);
 
 # Check that the setting of '2(*)' chooses standby2 and standby3 that are stored
 # earlier in WalSnd array as sync standbys.
@@ -143,7 +149,8 @@ standby2|1|sync
 standby3|1|sync
 standby4|1|potential),
 	'multiple standbys having the same priority are chosen as sync',
-	'2(*)');
+	'2(*)'
+);
 
 # Stop Standby3 which is considered in 'sync' state.
 $node_standby_3->stop;
@@ -154,7 +161,8 @@ test_sync_state(
 	$node_master, qq(standby1|1|sync
 standby2|1|sync
 standby4|1|potential),
-	'potential standby found earlier in array is promoted to sync');
+	'potential standby found earlier in array is promoted to sync'
+);
 
 # Check that standby1 and standby2 are chosen as sync standbys
 # based on their priorities.
@@ -163,7 +171,8 @@ test_sync_state(
 standby2|2|sync
 standby4|0|async),
 	'priority-based sync replication specified by FIRST keyword',
-	'FIRST 2(standby1, standby2)');
+	'FIRST 2(standby1, standby2)'
+);
 
 # Check that all the listed standbys are considered as candidates
 # for sync standbys in a quorum-based sync replication.
@@ -172,7 +181,8 @@ test_sync_state(
 standby2|1|quorum
 standby4|0|async),
 	'2 quorum and 1 async',
-	'ANY 2(standby1, standby2)');
+	'ANY 2(standby1, standby2)'
+);
 
 # Start Standby3 which will be considered in 'quorum' state.
 $node_standby_3->start;
@@ -185,4 +195,5 @@ standby2|1|quorum
 standby3|1|quorum
 standby4|1|quorum),
 	'all standbys are considered as candidates for quorum sync standbys',
-	'ANY 2(*)');
+	'ANY 2(*)'
+);
diff --git a/src/test/recovery/t/008_fsm_truncation.pl b/src/test/recovery/t/008_fsm_truncation.pl
index ddab464..7511e64 100644
--- a/src/test/recovery/t/008_fsm_truncation.pl
+++ b/src/test/recovery/t/008_fsm_truncation.pl
@@ -18,7 +18,8 @@ fsync = on
 wal_log_hints = on
 max_prepared_transactions = 5
 autovacuum = off
-});
+}
+);
 
 # Create a master node and its standby, initializing both with some data
 # at the same time.
@@ -36,7 +37,8 @@ create table testtab (a int, b char(100));
 insert into testtab select generate_series(1,1000), 'foo';
 insert into testtab select generate_series(1,1000), 'foo';
 delete from testtab where ctid > '(8,0)';
-});
+}
+);
 
 # Take a lock on the table to prevent following vacuum from truncating it
 $node_master->psql(
@@ -44,7 +46,8 @@ $node_master->psql(
 begin;
 lock table testtab in row share mode;
 prepare transaction 'p1';
-});
+}
+);
 
 # Vacuum, update FSM without truncation
 $node_master->psql('postgres', 'vacuum verbose testtab');
@@ -59,7 +62,8 @@ $node_master->psql(
 insert into testtab select generate_series(1,1000), 'foo';
 delete from testtab where ctid > '(8,0)';
 vacuum verbose testtab;
-});
+}
+);
 
 # Ensure all buffers are now clean on the standby
 $node_standby->psql('postgres', 'checkpoint');
@@ -69,7 +73,8 @@ $node_master->psql(
 	'postgres', qq{
 rollback prepared 'p1';
 vacuum verbose testtab;
-});
+}
+);
 
 $node_master->psql('postgres', 'checkpoint');
 my $until_lsn =
@@ -89,8 +94,11 @@ $node_standby->psql('postgres', 'checkpoint');
 $node_standby->restart;
 
 # Insert should work on standby
-is( $node_standby->psql(
+is(
+	$node_standby->psql(
 		'postgres',
-		qq{insert into testtab select generate_series(1,1000), 'foo';}),
+		qq{insert into testtab select generate_series(1,1000), 'foo';}
+	),
 	0,
-	'INSERT succeeds with truncated relation FSM');
+	'INSERT succeeds with truncated relation FSM'
+);
diff --git a/src/test/recovery/t/009_twophase.pl b/src/test/recovery/t/009_twophase.pl
index 93c22d1..3b4b2c6 100644
--- a/src/test/recovery/t/009_twophase.pl
+++ b/src/test/recovery/t/009_twophase.pl
@@ -17,7 +17,8 @@ sub configure_and_reload
 	$node->append_conf(
 		'postgresql.conf', qq(
 		$parameter
-	));
+	)
+	);
 	$node->psql('postgres', "SELECT pg_reload_conf()", stdout => \$psql_out);
 	is($psql_out, 't', "reload node $name with $parameter");
 }
@@ -31,7 +32,8 @@ $node_london->append_conf(
 	'postgresql.conf', qq(
 	max_prepared_transactions = 10
 	log_checkpoints = true
-));
+)
+);
 $node_london->start;
 $node_london->backup('london_backup');
 
@@ -71,7 +73,8 @@ $cur_master->psql(
 	INSERT INTO t_009_tbl VALUES (3, 'issued to ${cur_master_name}');
 	SAVEPOINT s1;
 	INSERT INTO t_009_tbl VALUES (4, 'issued to ${cur_master_name}');
-	PREPARE TRANSACTION 'xact_009_2';");
+	PREPARE TRANSACTION 'xact_009_2';"
+);
 $cur_master->stop;
 $cur_master->start;
 
@@ -99,7 +102,8 @@ $cur_master->psql(
 	INSERT INTO t_009_tbl VALUES (7, 'issued to ${cur_master_name}');
 	SAVEPOINT s1;
 	INSERT INTO t_009_tbl VALUES (8, 'issued to ${cur_master_name}');
-	PREPARE TRANSACTION 'xact_009_4';");
+	PREPARE TRANSACTION 'xact_009_4';"
+);
 $cur_master->teardown_node;
 $cur_master->start;
 
@@ -126,7 +130,8 @@ $cur_master->psql(
 	INSERT INTO t_009_tbl VALUES (11, 'issued to ${cur_master_name}');
 	SAVEPOINT s1;
 	INSERT INTO t_009_tbl VALUES (12, 'issued to ${cur_master_name}');
-	PREPARE TRANSACTION 'xact_009_5';");
+	PREPARE TRANSACTION 'xact_009_5';"
+);
 $cur_master->teardown_node;
 $cur_master->start;
 
@@ -145,7 +150,8 @@ $cur_master->psql(
 	SAVEPOINT s1;
 	INSERT INTO t_009_tbl VALUES (14, 'issued to ${cur_master_name}');
 	PREPARE TRANSACTION 'xact_009_6';
-	COMMIT PREPARED 'xact_009_6';");
+	COMMIT PREPARED 'xact_009_6';"
+);
 $cur_master->teardown_node;
 $cur_master->start;
 $psql_rc = $cur_master->psql(
@@ -156,7 +162,8 @@ $psql_rc = $cur_master->psql(
 	INSERT INTO t_009_tbl VALUES (16, 'issued to ${cur_master_name}');
 	-- This prepare can fail due to conflicting GID or locks conflicts if
 	-- replay did not fully cleanup its state on previous commit.
-	PREPARE TRANSACTION 'xact_009_7';");
+	PREPARE TRANSACTION 'xact_009_7';"
+);
 is($psql_rc, '0', "Cleanup of shared memory state for 2PC commit");
 
 $cur_master->psql('postgres', "COMMIT PREPARED 'xact_009_7'");
@@ -172,11 +179,13 @@ $cur_master->psql(
 	SAVEPOINT s1;
 	INSERT INTO t_009_tbl VALUES (18, 'issued to ${cur_master_name}');
 	PREPARE TRANSACTION 'xact_009_8';
-	COMMIT PREPARED 'xact_009_8';");
+	COMMIT PREPARED 'xact_009_8';"
+);
 $cur_standby->psql(
 	'postgres',
 	"SELECT count(*) FROM pg_prepared_xacts",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '0',
 	"Cleanup of shared memory state on running standby without checkpoint");
 
@@ -191,13 +200,15 @@ $cur_master->psql(
 	INSERT INTO t_009_tbl VALUES (19, 'issued to ${cur_master_name}');
 	SAVEPOINT s1;
 	INSERT INTO t_009_tbl VALUES (20, 'issued to ${cur_master_name}');
-	PREPARE TRANSACTION 'xact_009_9';");
+	PREPARE TRANSACTION 'xact_009_9';"
+);
 $cur_standby->psql('postgres', "CHECKPOINT");
 $cur_master->psql('postgres', "COMMIT PREPARED 'xact_009_9'");
 $cur_standby->psql(
 	'postgres',
 	"SELECT count(*) FROM pg_prepared_xacts",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '0',
 	"Cleanup of shared memory state on running standby after checkpoint");
 
@@ -211,7 +222,8 @@ $cur_master->psql(
 	INSERT INTO t_009_tbl VALUES (21, 'issued to ${cur_master_name}');
 	SAVEPOINT s1;
 	INSERT INTO t_009_tbl VALUES (22, 'issued to ${cur_master_name}');
-	PREPARE TRANSACTION 'xact_009_10';");
+	PREPARE TRANSACTION 'xact_009_10';"
+);
 $cur_master->teardown_node;
 $cur_standby->promote;
 
@@ -231,7 +243,8 @@ $cur_standby->enable_streaming($cur_master);
 $cur_standby->append_conf(
 	'recovery.conf', qq(
 recovery_target_timeline='latest'
-));
+)
+);
 $cur_standby->start;
 
 ###############################################################################
@@ -247,7 +260,8 @@ $cur_master->psql(
 	INSERT INTO t_009_tbl VALUES (23, 'issued to ${cur_master_name}');
 	SAVEPOINT s1;
 	INSERT INTO t_009_tbl VALUES (24, 'issued to ${cur_master_name}');
-	PREPARE TRANSACTION 'xact_009_11';");
+	PREPARE TRANSACTION 'xact_009_11';"
+);
 $cur_master->stop;
 $cur_standby->restart;
 $cur_standby->promote;
@@ -260,7 +274,8 @@ $cur_master_name = $cur_master->name;
 $cur_master->psql(
 	'postgres',
 	"SELECT count(*) FROM pg_prepared_xacts",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '1',
 	"Restore prepared transactions from files with master down");
 
@@ -269,7 +284,8 @@ $cur_standby->enable_streaming($cur_master);
 $cur_standby->append_conf(
 	'recovery.conf', qq(
 recovery_target_timeline='latest'
-));
+)
+);
 $cur_standby->start;
 
 $cur_master->psql('postgres', "COMMIT PREPARED 'xact_009_11'");
@@ -286,7 +302,8 @@ $cur_master->psql(
 	SAVEPOINT s1;
 	INSERT INTO t_009_tbl VALUES (26, 'issued to ${cur_master_name}');
 	PREPARE TRANSACTION 'xact_009_12';
-	");
+	"
+);
 $cur_master->stop;
 $cur_standby->teardown_node;
 $cur_standby->start;
@@ -300,7 +317,8 @@ $cur_master_name = $cur_master->name;
 $cur_master->psql(
 	'postgres',
 	"SELECT count(*) FROM pg_prepared_xacts",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '1',
 	"Restore prepared transactions from records with master down");
 
@@ -309,7 +327,8 @@ $cur_standby->enable_streaming($cur_master);
 $cur_standby->append_conf(
 	'recovery.conf', qq(
 recovery_target_timeline='latest'
-));
+)
+);
 $cur_standby->start;
 
 $cur_master->psql('postgres', "COMMIT PREPARED 'xact_009_12'");
@@ -329,7 +348,8 @@ $cur_master->psql(
 	-- checkpoint will issue XLOG_STANDBY_LOCK that can conflict with lock
 	-- held by 'create table' statement
 	CHECKPOINT;
-	COMMIT PREPARED 'xact_009_13';");
+	COMMIT PREPARED 'xact_009_13';"
+);
 
 # Ensure that last transaction is replayed on standby.
 my $cur_master_lsn =
@@ -342,7 +362,8 @@ $cur_standby->poll_query_until('postgres', $caughtup_query)
 $cur_standby->psql(
 	'postgres',
 	"SELECT count(*) FROM t_009_tbl2",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '1', "Replay prepared transaction with DDL");
 
 ###############################################################################
@@ -352,14 +373,17 @@ is($psql_out, '1', "Replay prepared transaction with DDL");
 $cur_master->psql(
 	'postgres',
 	"SELECT count(*) FROM pg_prepared_xacts",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '0', "No uncommitted prepared transactions on master");
 
 $cur_master->psql(
 	'postgres',
 	"SELECT * FROM t_009_tbl ORDER BY id",
-	stdout => \$psql_out);
-is( $psql_out, qq{1|issued to london
+	stdout => \$psql_out
+);
+is(
+	$psql_out, qq{1|issued to london
 2|issued to london
 5|issued to london
 6|issued to london
@@ -381,27 +405,34 @@ is( $psql_out, qq{1|issued to london
 24|issued to paris
 25|issued to london
 26|issued to london},
-	"Check expected t_009_tbl data on master");
+	"Check expected t_009_tbl data on master"
+);
 
 $cur_master->psql(
 	'postgres',
 	"SELECT * FROM t_009_tbl2",
-	stdout => \$psql_out);
-is( $psql_out,
+	stdout => \$psql_out
+);
+is(
+	$psql_out,
 	qq{27|issued to paris},
-	"Check expected t_009_tbl2 data on master");
+	"Check expected t_009_tbl2 data on master"
+);
 
 $cur_standby->psql(
 	'postgres',
 	"SELECT count(*) FROM pg_prepared_xacts",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '0', "No uncommitted prepared transactions on standby");
 
 $cur_standby->psql(
 	'postgres',
 	"SELECT * FROM t_009_tbl ORDER BY id",
-	stdout => \$psql_out);
-is( $psql_out, qq{1|issued to london
+	stdout => \$psql_out
+);
+is(
+	$psql_out, qq{1|issued to london
 2|issued to london
 5|issued to london
 6|issued to london
@@ -423,12 +454,16 @@ is( $psql_out, qq{1|issued to london
 24|issued to paris
 25|issued to london
 26|issued to london},
-	"Check expected t_009_tbl data on standby");
+	"Check expected t_009_tbl data on standby"
+);
 
 $cur_standby->psql(
 	'postgres',
 	"SELECT * FROM t_009_tbl2",
-	stdout => \$psql_out);
-is( $psql_out,
+	stdout => \$psql_out
+);
+is(
+	$psql_out,
 	qq{27|issued to paris},
-	"Check expected t_009_tbl2 data on standby");
+	"Check expected t_009_tbl2 data on standby"
+);
diff --git a/src/test/recovery/t/010_logical_decoding_timelines.pl b/src/test/recovery/t/010_logical_decoding_timelines.pl
index a76eea8..4503b6c 100644
--- a/src/test/recovery/t/010_logical_decoding_timelines.pl
+++ b/src/test/recovery/t/010_logical_decoding_timelines.pl
@@ -41,7 +41,8 @@ max_wal_senders = 2
 log_min_messages = 'debug2'
 hot_standby_feedback = on
 wal_receiver_status_interval = 1
-]);
+]
+);
 $node_master->dump_info;
 $node_master->start;
 
@@ -75,7 +76,8 @@ my $node_replica = get_new_node('replica');
 $node_replica->init_from_backup(
 	$node_master, $backup_name,
 	has_streaming => 1,
-	has_restoring => 1);
+	has_restoring => 1
+);
 $node_replica->append_conf('recovery.conf',
 	q[primary_slot_name = 'phys_slot']);
 
@@ -87,10 +89,13 @@ is($node_master->psql('postgres', 'DROP DATABASE dropme'),
 	0, 'dropped DB with logical slot OK on master');
 $node_master->wait_for_catchup($node_replica, 'replay',
 	$node_master->lsn('insert'));
-is( $node_replica->safe_psql(
-		'postgres', q[SELECT 1 FROM pg_database WHERE datname = 'dropme']),
+is(
+	$node_replica->safe_psql(
+		'postgres', q[SELECT 1 FROM pg_database WHERE datname = 'dropme']
+	),
 	'',
-	'dropped DB dropme on standby');
+	'dropped DB dropme on standby'
+);
 is($node_master->slot('dropme_slot')->{'slot_name'},
 	undef, 'logical slot was actually dropped on standby');
 
@@ -117,7 +122,8 @@ $node_master->poll_query_until(
 	SELECT catalog_xmin IS NOT NULL
 	FROM pg_replication_slots
 	WHERE slot_name = 'phys_slot'
-	]) or die "slot's catalog_xmin never became set";
+	]
+) or die "slot's catalog_xmin never became set";
 
 my $phys_slot = $node_master->slot('phys_slot');
 isnt($phys_slot->{'xmin'}, '', 'xmin assigned on physical slot of master');
@@ -128,7 +134,8 @@ isnt($phys_slot->{'catalog_xmin'},
 cmp_ok(
 	$phys_slot->{'xmin'}, '>=',
 	$phys_slot->{'catalog_xmin'},
-	'xmin on physical slot must not be lower than catalog_xmin');
+	'xmin on physical slot must not be lower than catalog_xmin'
+);
 
 $node_master->safe_psql('postgres', 'CHECKPOINT');
 
@@ -148,13 +155,15 @@ is($ret, 3, 'replaying from after_basebackup slot fails');
 like(
 	$stderr,
 	qr/replication slot "after_basebackup" does not exist/,
-	'after_basebackup slot missing');
+	'after_basebackup slot missing'
+);
 
 # Should be able to read from slot created before base backup
 ($ret, $stdout, $stderr) = $node_replica->psql(
 	'postgres',
 	"SELECT data FROM pg_logical_slot_peek_changes('before_basebackup', NULL, NULL, 'include-xids', '0', 'skip-empty-xacts', '1');",
-	timeout => 30);
+	timeout => 30
+);
 is($ret, 0, 'replay from slot before_basebackup succeeds');
 
 my $final_expected_output_bb = q(BEGIN
@@ -185,7 +194,8 @@ $stdout = $node_replica->pg_recvlogical_upto(
 	'postgres', 'before_basebackup',
 	$endpos,    30,
 	'include-xids'     => '0',
-	'skip-empty-xacts' => '1');
+	'skip-empty-xacts' => '1'
+);
 
 # walsender likes to add a newline
 chomp($stdout);
diff --git a/src/test/recovery/t/011_crash_recovery.pl b/src/test/recovery/t/011_crash_recovery.pl
index 6fe4786..2d90ef7 100644
--- a/src/test/recovery/t/011_crash_recovery.pl
+++ b/src/test/recovery/t/011_crash_recovery.pl
@@ -29,14 +29,17 @@ my ($stdin, $stdout, $stderr) = ('', '', '');
 # an xact to be in-progress when we crash and we need to know
 # its xid.
 my $tx = IPC::Run::start(
-	[   'psql', '-X', '-qAt', '-v', 'ON_ERROR_STOP=1', '-f', '-', '-d',
-		$node->connstr('postgres') ],
+	[
+		'psql', '-X', '-qAt', '-v', 'ON_ERROR_STOP=1', '-f', '-', '-d',
+		$node->connstr('postgres')
+	],
 	'<',
 	\$stdin,
 	'>',
 	\$stdout,
 	'2>',
-	\$stderr);
+	\$stderr
+);
 $stdin .= q[
 BEGIN;
 CREATE TABLE mine(x integer);
